<?php

namespace Instabot;

class SettingsFormHandler
{

    /**
     * @var View
     */
    private $view;

    public function __construct($view)
    {
        $this->view = $view;
    }

    /**
     * Handle requests to the form
     */
    public function handle()
    {
        $apiKey = null;
        $applicationId = null;

        if (isset($_GET['reset'])) {
            Settings::saveApiKey('');
        } else {
            $apiKey = isset($_POST['api_key']) ? $_POST['api_key'] : Settings::getApiKey();

            if ($apiKey) {
                $connect = new Connect();
                $applicationId = $connect->getApplicationId($apiKey);

                if ($applicationId && $_SERVER['REQUEST_METHOD'] === 'POST') {
                    Settings::saveApiKey($apiKey);
                }
            }
        }

        $this->view->render('settings', [
            'formActionURL' => admin_url('admin.php?page=' . Settings::GENERAL_SETTINGS),
            'apiKey' => $apiKey,
            'applicationId' => $applicationId,
            'isApiKeyValid' => (bool)$applicationId
        ]);
    }
}